Memcached::delete
Memcached::fetch
Memcached
PHP Manual

# Memcached::deleteByKey

(PECL memcached >= 0.1.0)

Memcached::deleteByKey — Delete an item from a specific server

### 설명

public bool Memcached::deleteByKey ( string `$server_key` , string `$key` [, int `$time` ] )

Memcached::deleteByKey() is functionally equivalent to Memcached::delete, except that the free-form `server_key` can be used to map the `key` to a specific server.

### 인수

`server_key`

  값을 저장할 서버를 인식하는 키.

`key`

  The key to be deleted.

`time`

  The amount of time the server will wait to delete the item. Defaults to 0.

### 반환값

성공할 경우 `TRUE`를, 실패할 경우 `FALSE`를 반환합니다. The Memcached::getResultCode will return `Memcached::RES_NOTFOUND` if the key does not exist.

### 참고

- Memcached::delete - Delete an item

Memcached::delete
Memcached::fetch
Memcached
PHP Manual